<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Transport :: ZeroConf</name>
    <id>activemq-transport-zeroconf</id>
    <shortDescription>ActiveMQ ZeroConf Message Transport</shortDescription>
    <description>ActiveMQ ZeroConf Message Transport</description>
  
    <package>org.codehaus.activemq.transport.zeroconf</package>
    <packageGroups>
      <packageGroup>
        <title>ZeroConf Message Transport</title>
        <packages>org.codehaus.activemq.transport.zeroconf</packages>
      </packageGroup>
    </packageGroups>
  
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>

      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-core</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <eclipse.dependency>true</eclipse.dependency>
        </properties>
      </dependency>
	  <dependency> <!-- Used for unit tests -->
	    <groupId>activemq</groupId>
	    <artifactId>activemq-core-test</artifactId>
	    <version>${pom.currentVersion}</version>
	  </dependency>
      
      <dependency>
        <groupId>jmdns</groupId>
        <artifactId>jmdns</artifactId>
      </dependency>
      
    </dependencies>  
    
  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>

         <!-- disable multicast related tests by default -->
        <exclude>**/*Zeroconf*Test.*</exclude>

      </excludes>
    </unitTest>

    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>

</project>
